Posted by & filed under PHP.

On June 23rd 2016, the PHP group released PHP 5.6.23.

Several bugs were fixed in this release, including security-related ones. All PHP 5.6 users are encouraged to upgrade to this version.

PHP 5.6.23 packages are now available for Debian 7 “Wheezy”, on both amd64 and i386 architectures, in ZTS and non-ZTS (default) flavors, along with the usual PECL extensions.

5 Responses to “PHP 5.6.23 for Wheezy”

  1. Alexander

    Is it possible to package xdebug 2.4.0 instead of 2.3.3 for PHP 5.6? 2.3.3 has a nasty bug (https://bugs.xdebug.org/bug_view_page.php?bug_id=00001070) that makes a setup with xdebug that’s configured to start debugging automatically barely usable. Despite comment in the bug system that mentions 2.3.4, there won’t be such a release as Derick Rethans confirmed on Twitter so it makes sense to switch to 2.4.0.

  2. JCG

    Regarding the Nginx issues (commentaries are closed there!):

    It now works fine for me.

    Many, many thanks for all your great work, Guillaume. I appreciate it a lot.

  3. laurent

    Bonjour,

    J’ai fais la mise à jour vers php 5.6 sur wheezy et tout à l’air ok sauf le paquet php-pear qu’il faut réinstaller.

    J’ai beau re-tenter une install du paquet php-pear j’ai systématiquement ce message :

    E: Le paquet php-pear doit être réinstallé, mais il est impossible de trouver son archive.

    Merci
    Laurent

  4. Guillaume Plessis

    @Laurent : assure toi de bien avoir fait un apt-get update auparavant, ce genre d’erreur apparait quand un paquet a été déplacé.